Package ru.bitel.bgbilling.modules.card.server.bean

# Class CardActionCardManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.modules.card.server.bean.CardActionCardManager

public class CardActionCardManager extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CardActionCardManager(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `checkCanUndo(CardAction action)`
  `List<Long>`
  `getCards(int cardActionId)`
  `Map<Float,Integer>`
  `getCostGroups(int cardAction)`
  `void`
  `updateCards(int cardActionId, List<Long> cards)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CardActionCardManager

    public CardActionCardManager(Connection con, int moduleId)

- ## Method Details

  - ### updateCards

    public void updateCards(int cardActionId, List<Long> cards) throws SQLException
    Throws:
      `SQLException`

  - ### getCards

    public List<Long> getCards(int cardActionId) throws SQLException
    Throws:
      `SQLException`

  - ### checkCanUndo

    public boolean checkCanUndo(CardAction action) throws SQLException
    Throws:
      `SQLException`

  - ### getCostGroups

    public Map<Float,Integer> getCostGroups(int cardAction) throws SQLException
    Throws:
      `SQLException`